Skip to content

PUT /automations/{id}​

PUT
/automations/{id}

Update a resource

Authorizations​

BearerAuth
Type
HTTP (Bearer)

Parameters​

Path Parameters

id*

Unique identifier

Required

Request Body​

application/json
JSON
{
  
"name": "string",
  
"triggerEvent": "string",
  
"steps": [
  
  
{
  
  
  
"type": "string",
  
  
  
"subject": "string",
  
  
  
"body": "string",
  
  
  
"seconds": 0,
  
  
  
"tag": "string"
  
  
}
  
]
}

Responses​

The request has succeeded.

application/json
JSON
{
  
"id": "string",
  
"name": "string",
  
"status": "string",
  
"triggerEvent": "string",
  
"steps": [
  
  
{
  
  
  
"type": "string",
  
  
  
"subject": "string",
  
  
  
"body": "string",
  
  
  
"seconds": 0,
  
  
  
"tag": "string"
  
  
}
  
],
  
"createdAt": "string",
  
"updatedAt": "string"
}

Playground​

Server
Authorization
Variables
Key
Value
Body

Samples​

Powered by VitePress OpenAPI